Index: branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/ice.F90
===================================================================
--- branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/ice.F90	(revision 8518)
+++ branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/ice.F90	(revision 8531)
@@ -153,8 +153,9 @@
    !! * Share Module variables
    !!--------------------------------------------------------------------------
-   !                                     !!** ice-generic parameters namelist (namice_run) **
+   !                                     !!** ice-generic parameters namelist (nampar) **
    INTEGER           , PUBLIC ::   jpl             !: number of ice  categories 
    INTEGER           , PUBLIC ::   nlay_i          !: number of ice  layers 
    INTEGER           , PUBLIC ::   nlay_s          !: number of snow layers 
+   INTEGER           , PUBLIC ::   nn_monocat      !: virtual ITD mono-category parameterizations (1-4) or not (0)
    LOGICAL           , PUBLIC ::   ln_icedyn       !: flag for ice dynamics (T) or not (F)
    LOGICAL           , PUBLIC ::   ln_icethd       !: flag for ice thermo   (T) or not (F)
@@ -166,8 +167,8 @@
    CHARACTER(len=256), PUBLIC ::   cn_icerst_outdir!: ice restart output directory
 
-   !                                     !!** ice-itd namelist (namice_itd) **
+   !                                     !!** ice-itd namelist (namitd) **
    REAL(wp), PUBLIC ::   rn_himin         !: minimum ice thickness
    
-   !                                     !!** ice-dynamics namelist (namice_dyn) **
+   !                                     !!** ice-dynamics namelist (namdyn) **
    REAL(wp), PUBLIC ::   rn_ishlat        !: lateral boundary condition for sea-ice
    REAL(wp), PUBLIC ::   rn_cio           !: drag coefficient for oceanic stress
@@ -177,5 +178,5 @@
    REAL(wp), PUBLIC ::   rn_lfrelax       !:    relaxation time scale (s-1) to reach static friction (landfast ice) 
    !
-   !                                     !!** ice-rheology namelist (namice_rhg) **
+   !                                     !!** ice-rheology namelist (namrhg) **
    REAL(wp), PUBLIC ::   rn_creepl        !: creep limit : has to be under 1.0e-9
    REAL(wp), PUBLIC ::   rn_ecc           !: eccentricity of the elliptical yield curve
@@ -183,26 +184,7 @@
    REAL(wp), PUBLIC ::   rn_relast        !: ratio => telast/rdt_ice (1/3 or 1/9 depending on nb of subcycling nevp) 
    !
-   !                                     !!** ice-thermodynamics namelist (namice_thd) **
-                                          ! -- icethd_dif -- !
-   REAL(wp), PUBLIC ::   rn_kappa_i       !: coef. for the extinction of radiation Grenfell et al. (2006) [1/m]
-   LOGICAL , PUBLIC ::   ln_cndi_U64      !: thermal conductivity: Untersteiner (1964)
-   LOGICAL , PUBLIC ::   ln_cndi_P07      !: thermal conductivity: Pringle et al (2007)
-   LOGICAL , PUBLIC ::   ln_dqns_i        !: change non-solar surface flux with changing surface temperature (T) or not (F)
-   INTEGER , PUBLIC ::   nn_monocat       !: virtual ITD mono-category parameterizations (1-4) or not (0)
-   REAL(wp), PUBLIC ::   rn_cnd_s         !: thermal conductivity of the snow [W/m/K]
+   !                                     !!** ice-thermodynamics namelist (namthd) **
                                           ! -- icethd_dh -- !
-   LOGICAL , PUBLIC ::   ln_icedH         !: activate ice thickness change from growing/melting (T) or not (F)
    REAL(wp), PUBLIC ::   rn_blow_s        !: coef. for partitioning of snowfall between leads and sea ice
-                                          ! -- icethd_da -- !
-   LOGICAL , PUBLIC ::   ln_icedA         !: activate lateral melting param. (T) or not (F)
-   REAL(wp), PUBLIC ::   rn_beta          !: coef. beta for lateral melting param.
-   REAL(wp), PUBLIC ::   rn_dmin          !: minimum floe diameter for lateral melting param.
-                                          ! -- icethd_lac -- !
-   LOGICAL , PUBLIC ::   ln_icedO         !: activate ice growth in open-water (T) or not (F)
-   REAL(wp), PUBLIC ::   rn_hinew         !: thickness for new ice formation (m)
-   LOGICAL , PUBLIC ::   ln_frazil        !: use of frazil ice collection as function of wind (T) or not (F)
-   REAL(wp), PUBLIC ::   rn_maxfraz       !: maximum portion of frazil ice collecting at the ice bottom
-   REAL(wp), PUBLIC ::   rn_vfraz         !: threshold drift speed for collection of bottom frazil ice
-   REAL(wp), PUBLIC ::   rn_Cfraz         !: squeezing coefficient for collection of bottom frazil ice
                                           ! -- icethd -- !
    INTEGER , PUBLIC ::   nn_iceflx        !: Redistribute heat flux over ice categories
@@ -213,5 +195,5 @@
    !                                      !   = 2  Redistribute a single flux over categories
 
-   !                                     !!** ice-salinity namelist (namice_sal) **
+   !                                     !!** ice-salinity namelist (namthd_sal) **
    INTEGER , PUBLIC ::   nn_icesal        !: salinity configuration used in the model
    !                                      ! 1 - constant salinity in both space and time
@@ -223,5 +205,5 @@
 
    ! MV MP 2016
-   !                                     !!** melt pond namelist (namicemp)
+   !                                     !!** melt pond namelist (nammp)
    LOGICAL , PUBLIC ::   ln_pnd           !: activate ponds or not
    LOGICAL , PUBLIC ::   ln_pnd_rad       !: ponds radiatively active or not
@@ -231,5 +213,5 @@
    REAL(wp), PUBLIC ::   rn_hpnd          !: prescribed pond depth    (0<rn_hpnd<1), only if nn_pnd_scheme = 0
    ! END MV MP 2016
-   !                                     !!** ice-diagnostics namelist (namice_dia) **
+   !                                     !!** ice-diagnostics namelist (namdia) **
    LOGICAL , PUBLIC ::   ln_icediachk     !: flag for ice diag (T) or not (F)
    LOGICAL , PUBLIC ::   ln_icediahsb     !: flag for ice diag (T) or not (F)
